GNU bug report logs - #40323
28.0.50; error in process filter: Invalid search bound (wrong side of point)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jacob Lagares Pozo <jlagarespo@HIDDEN>; dated Mon, 30 Mar 2020 11:11:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 19 Apr 2020 12:57:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 19 08:57:23 2020
Received: from localhost ([127.0.0.1]:44219 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jQ9Vi-0005Sd-UU
	for submit <at> debbugs.gnu.org; Sun, 19 Apr 2020 08:57:23 -0400
Received: from mail-qv1-f52.google.com ([209.85.219.52]:46006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jQ9Vh-0005SO-0S
 for 40323 <at> debbugs.gnu.org; Sun, 19 Apr 2020 08:57:21 -0400
Received: by mail-qv1-f52.google.com with SMTP id p13so3298956qvt.12
 for <40323 <at> debbugs.gnu.org>; Sun, 19 Apr 2020 05:57:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=/4twWUk4Sx6xRm6Z/5DazrtuI/XBjyb80N5JB1uVGJE=;
 b=CYsoe7a5FKiwOPr4VpdhclvpFx56ZiSSFawd5645nLQ1qUu/QIq8p53zgLo61E1knE
 qSsRnNUBFSU7JtNDvrT32Cxt8/+Ffp88jSiCAOQzjEtMg3WlEq7+eXBhnMaERHJn4ZeN
 zr9yuh5sheA5kG83HsZ3Z1EhgIhLgBVsYRim0tC9QQ2/LbVyQk26eSqu20MxDov2YIlK
 pr9zrDMyw5RxssO33E+o0X4rFtjvPQ8hjZWJayB07wSa8jYlqgUkT5xhkdyqTINd5sG7
 XEhxDlTUujEFCJN7bD/5vF+XdbLV+hZ4QUvibXZY8xEmbvFaHnR9XUGINxfIy7xdNzkU
 vK9A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=/4twWUk4Sx6xRm6Z/5DazrtuI/XBjyb80N5JB1uVGJE=;
 b=lmKPdEihzQWg2VbhWf9i66TE3LsoalFPTibIF9ssoLgSiGJ11DJvxVDvYsAMtRCnaR
 zH4cQZKPi4aEdidM0qrhMz7Uv0Va0CEKGfyZKSTdELE0klyzw/LNj3YN0+b8zTKEluNA
 0oiEUC5bKK6KeTE0zaMP63l0HQ26C8nnpvYQQ9QwCKNA73Kz7c9SZ9fPXLZ/Rkm5ftP/
 wSVKG0zIyBr26XXlYTrBBOYNNGTUDRfwU8YFihAAsTgHG/MK9DPKW+qxVGm7447AkqXz
 S35MI/hDvAJpNVDh8MloJnat+G6uPzhlOHz6XlMo6x0BW3h/LHcZJv0r463flv/FFs0/
 WJDw==
X-Gm-Message-State: AGi0Pua9m41GaOIQ4lMpKH2PGXatfAyw+h8VdzCarkPlM9egRjKNyKZf
 2hS+3AWPOIMFLQIbpAU9VJ75wdY7
X-Google-Smtp-Source: APiQypJ+JfRUuBvNk8e+GgHN64Kd3UtPJv0JLEXmLyN3UVtNnGdbCvVqEMiqZeqd+YvUvPgMLd57jA==
X-Received: by 2002:a0c:a8c4:: with SMTP id h4mr10739033qvc.72.1587301035189; 
 Sun, 19 Apr 2020 05:57:15 -0700 (PDT)
Received: from LAPTOP-5NDQIUP9 (cbl-45-2-119-47.yyz.frontiernetworks.ca.
 [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id e8sm13447165qkl.57.2020.04.19.05.57.14
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 19 Apr 2020 05:57:14 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Subject: Re: bug#40323: 28.0.50;
 error in process filter: Invalid search bound (wrong side of point)
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <87bloci0yw.fsf@HIDDEN> <87v9m132pj.fsf@HIDDEN>
 <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN>
 <87ftd22uz1.fsf@HIDDEN>
 <73b0b37b-2ae9-f9c0-c673-4eaafe4ea61a@HIDDEN>
Date: Sun, 19 Apr 2020 08:57:13 -0400
In-Reply-To: <73b0b37b-2ae9-f9c0-c673-4eaafe4ea61a@HIDDEN> (Jacob
 Lagares Pozo's message of "Fri, 17 Apr 2020 16:13:25 +0200")
Message-ID: <864ktf8wgm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
Cc: 40323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jacob Lagares Pozo <jlagarespo@HIDDEN> writes:

> OK, not sure if this is what we want, but this is an example output
> that looks interesting.
>
> If needed I'll dump the whole thing to a file, compress, it and post
> it here.

> *slack*<4>>(:comint-pmark #<marker at 238675 in *slack*<4>>)
> 1 <- comint-output-filter: #<marker (moves after insertion) at 238675
> in *slack*<4>>(:comint-pmark nil)

I think this just shows the process ending normally.  And I made a
mistake in the tracing function, better to see both markers, as in:

    (defun bug-40323-get-comint-output-marker ()
      (list :comint-pmark
            (and (markerp comint-last-output-start)
                 (eq (marker-buffer comint-last-output-start)
                     (current-buffer))
                 (cons
                  comint-last-output-start
                  (process-mark (get-buffer-process (current-buffer)))))))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 17 Apr 2020 15:50:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 11:50:34 2020
Received: from localhost ([127.0.0.1]:41518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPTG9-0001QN-04
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2020 11:50:34 -0400
Received: from mail-ej1-f48.google.com ([209.85.218.48]:40726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlagarespo@HIDDEN>) id 1jPRkL-0007Uq-A9
 for 40323 <at> debbugs.gnu.org; Fri, 17 Apr 2020 10:13:35 -0400
Received: by mail-ej1-f48.google.com with SMTP id n17so1656248ejh.7
 for <40323 <at> debbugs.gnu.org>; Fri, 17 Apr 2020 07:13:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=iebesalu-cat.20150623.gappssmtp.com; s=20150623;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language;
 bh=Xic1Z9zxL3O7CGyWX1lTWka4c9HY5nOLA2Wepwce28I=;
 b=sywKcSK1KZ+Xm8zGvQVmO4LsfUCZDTsdjPfjMzbii8+hwhuOiWpk3PNYZu3khSJ3u2
 Z2panQyehgLBZgTMGAmrURedgb0JFJEjCX49N/m2UDUk1XSbkCKM7kWaI98YJAFqoKL1
 nFHXECOoPnmB/d8h7WGLx2ADCnu3W6V3pBt9KQSius9+KHbeUNgCpSLcVGnN04wvMc/O
 w2GnLJjTlrFmmo5AyoFMIk+5pXVjNi+BsPovlxbid8MBPxJjHT9smJEXNllVX2XtZMCp
 d9ym5QJtrOl7mOd6vyHiUBTb4N7HNO+i90SEUl+7mTbhMv0mkFQ+q3iYndiwDvFsyflh
 wL4g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language;
 bh=Xic1Z9zxL3O7CGyWX1lTWka4c9HY5nOLA2Wepwce28I=;
 b=FhLsNhhyqFEjeWBJZIwnYi/W1gAGeou87uelFM/rbz1WQGQbtdgaacjs+H+GgOrjbS
 kRmnseZI8692jKpwnNvlrEp9uSGQp0vIBZBvSbwBDXVlLza2GGI7s8a1WzqhrjI3FNd4
 AaSgmSe/F2vXTUC8W/GSeukFB/WJVBzN6JttacqmzIm9UeD5H99TVqzMJUkNu/y3URXb
 h1NBmoQG5rBKOk0m6GlLHbokZQswcmQW1ueI7LFJf5K8jag29i6qIHsd1gSolHQb+PVx
 4rcTz5jJtHVO/i7x8NAUviVHmniBDRKCNZ00HjN0s1eoAFOoCB9IvlFEEZYWG11quYMP
 I5eQ==
X-Gm-Message-State: AGi0PuYODDYPI6zhl1dU76gVezTD3YCxydLE/PNSLSrBV6Y/mYELEn8u
 IGt6ifwdRsgdajKmt5eywxsUxmdS5I4=
X-Google-Smtp-Source: APiQypL4n2XcqDlvXkRBL8vnp8Nz8P2dsmzR7bgBUNqBubZCQ092N8nmVlUvzZA3cU3U8HINZL//UQ==
X-Received: by 2002:a17:906:b2c2:: with SMTP id
 cf2mr3100798ejb.262.1587132807026; 
 Fri, 17 Apr 2020 07:13:27 -0700 (PDT)
Received: from [192.168.100.54] ([185.154.8.143])
 by smtp.gmail.com with ESMTPSA id ay7sm483330edb.95.2020.04.17.07.13.25
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 17 Apr 2020 07:13:26 -0700 (PDT)
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound
 (wrong side of point)
To: Noam Postavsky <npostavs@HIDDEN>
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <87bloci0yw.fsf@HIDDEN> <87v9m132pj.fsf@HIDDEN>
 <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN>
 <87ftd22uz1.fsf@HIDDEN>
From: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Message-ID: <73b0b37b-2ae9-f9c0-c673-4eaafe4ea61a@HIDDEN>
Date: Fri, 17 Apr 2020 16:13:25 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.7.0
MIME-Version: 1.0
In-Reply-To: <87ftd22uz1.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------8BF2D5100552D51B45C2418F"
Content-Language: en-US
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 40323
X-Mailman-Approved-At: Fri, 17 Apr 2020 11:50:28 -0400
Cc: 40323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------8BF2D5100552D51B45C2418F
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

OK, not sure if this is what we want, but this is an example output that 
looks interesting.

If needed I'll dump the whole thing to a file, compress, it and post it 
here.

Many thanks,

Jacob

|======================================================================
1 -> (comint-output-filter #<process slack> "[04/17/20, 16:06:12:068] 
info: [CHECK-FOR-OLD-IMS] (TAVFB00JW) Within limit: 4
")(:comint-pmark nil)
| 2 -> (set-marker #<marker at 238540 in *slack*<4>> 
238595)(:comint-pmark #<marker at 238595 in *slack*<4>>)
| 2 <- set-marker: #<marker at 238595 in *slack*<4>>(:comint-pmark 
#<marker at 238595 in *slack*<4>>)
| 2 -> (set-marker #<marker at 238595 in *slack*<4>> 
238675)(:comint-pmark #<marker at 238595 in *slack*<4>>)
| 2 <- set-marker: #<marker at 238675 in *slack*<4>>(:comint-pmark 
#<marker at 238675 in *slack*<4>>)
| 2 -> (ansi-color-process-output "[04/17/20, 16:06:12:068] info: 
[CHECK-FOR-OLD-IMS] (TAVFB00JW) Within limit: 4
")(:comint-pmark #<marker at 238675 in *slack*<4>>)
| 2 <- ansi-color-process-output: nil(:comint-pmark #<marker at 238675 
in *slack*<4>>)
| 2 -> (set-marker #<marker (moves after insertion) at 238675 in 
*slack*<4>> 238675)(:comint-pmark #<marker at 238675 in *slack*<4>>)
| 2 <- set-marker: #<marker (moves after insertion) at 238675 in 
*slack*<4>>(:comint-pmark #<marker at 238675 in *slack*<4>>)
1 <- comint-output-filter: #<marker (moves after insertion) at 238675 in 
*slack*<4>>(:comint-pmark nil)
|

On 2020-04-17 13:49, Noam Postavsky wrote:
> Jacob Lagares Pozo <jlagarespo@HIDDEN> writes:
>
>> For brevity, I'll just post just a single one of them, because the
>> whole buffer is 172k characters and growing. I hope it's enough; if it
>> is not, please let me know and I'll post the whole thing.
> Please compress before posting.  If you can find a spot where the
> comint-last-output-start goes from a large number to 1, I think that
> would probably be where the interesting part is.

--------------8BF2D5100552D51B45C2418F
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: 7bit

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  </head>
  <body>
    <p>OK, not sure if this is what we want, but this is an example
      output that looks interesting.</p>
    <p>If needed I'll dump the whole thing to a file, compress, it and
      post it here.</p>
    <p>Many thanks,</p>
    <p>Jacob<br>
    </p>
    <code>======================================================================<br>
      1 -&gt; (comint-output-filter #&lt;process slack&gt; "[04/17/20,
      16:06:12:068] info: [CHECK-FOR-OLD-IMS] (TAVFB00JW) Within limit:
      4 <br>
      ")(:comint-pmark nil)<br>
      | 2 -&gt; (set-marker #&lt;marker at 238540 in
      *slack*&lt;4&gt;&gt; 238595)(:comint-pmark #&lt;marker at 238595
      in *slack*&lt;4&gt;&gt;)<br>
      | 2 &lt;- set-marker: #&lt;marker at 238595 in
      *slack*&lt;4&gt;&gt;(:comint-pmark #&lt;marker at 238595 in
      *slack*&lt;4&gt;&gt;)<br>
      | 2 -&gt; (set-marker #&lt;marker at 238595 in
      *slack*&lt;4&gt;&gt; 238675)(:comint-pmark #&lt;marker at 238595
      in *slack*&lt;4&gt;&gt;)<br>
      | 2 &lt;- set-marker: #&lt;marker at 238675 in
      *slack*&lt;4&gt;&gt;(:comint-pmark #&lt;marker at 238675 in
      *slack*&lt;4&gt;&gt;)<br>
      | 2 -&gt; (ansi-color-process-output "[04/17/20, 16:06:12:068]
      info: [CHECK-FOR-OLD-IMS] (TAVFB00JW) Within limit: 4 <br>
      ")(:comint-pmark #&lt;marker at 238675 in *slack*&lt;4&gt;&gt;)<br>
      | 2 &lt;- ansi-color-process-output: nil(:comint-pmark #&lt;marker
      at 238675 in *slack*&lt;4&gt;&gt;)<br>
      | 2 -&gt; (set-marker #&lt;marker (moves after insertion) at
      238675 in *slack*&lt;4&gt;&gt; 238675)(:comint-pmark #&lt;marker
      at 238675 in *slack*&lt;4&gt;&gt;)<br>
      | 2 &lt;- set-marker: #&lt;marker (moves after insertion) at
      238675 in *slack*&lt;4&gt;&gt;(:comint-pmark #&lt;marker at 238675
      in *slack*&lt;4&gt;&gt;)<br>
      1 &lt;- comint-output-filter: #&lt;marker (moves after insertion)
      at 238675 in *slack*&lt;4&gt;&gt;(:comint-pmark nil)<br>
    </code>
    <div class="moz-cite-prefix"><br>
    </div>
    <div class="moz-cite-prefix">On 2020-04-17 13:49, Noam Postavsky
      wrote:<br>
    </div>
    <blockquote type="cite" cite="mid:87ftd22uz1.fsf@HIDDEN">
      <pre class="moz-quote-pre" wrap="">Jacob Lagares Pozo <a class="moz-txt-link-rfc2396E" href="mailto:jlagarespo@HIDDEN">&lt;jlagarespo@HIDDEN&gt;</a> writes:

</pre>
      <blockquote type="cite">
        <pre class="moz-quote-pre" wrap="">For brevity, I'll just post just a single one of them, because the
whole buffer is 172k characters and growing. I hope it's enough; if it
is not, please let me know and I'll post the whole thing.
</pre>
      </blockquote>
      <pre class="moz-quote-pre" wrap="">Please compress before posting.  If you can find a spot where the
comint-last-output-start goes from a large number to 1, I think that
would probably be where the interesting part is.
</pre>
    </blockquote>
  </body>
</html>

--------------8BF2D5100552D51B45C2418F--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 17 Apr 2020 11:49:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 07:49:15 2020
Received: from localhost ([127.0.0.1]:40117 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPPUh-00086z-Ep
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2020 07:49:15 -0400
Received: from mail-qv1-f45.google.com ([209.85.219.45]:40834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jPPUf-00086m-P8
 for 40323 <at> debbugs.gnu.org; Fri, 17 Apr 2020 07:49:14 -0400
Received: by mail-qv1-f45.google.com with SMTP id fb4so692059qvb.7
 for <40323 <at> debbugs.gnu.org>; Fri, 17 Apr 2020 04:49:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=jZfhxHsejUUcZPF7YJbkRSwpZqy0jNBSrsMujaf27t8=;
 b=KJpZHYTgBWDHFxNnOJ/9VEK70B2by0RYCxSouHbJv/hm+A8tZD4aj7D3IFIdLVDMV6
 zF2VaiaZwYDr8wsYkndPY5er1bgOUMEuAmWMMmDU1aFnG1jzVhG9+Ovf8y9xy40t3G39
 s5rff0J4WAWNwnysRVO9ErOnie/E3KWn7GDVNCoYYp90D96vF6d2Vw8wupdDcoxRuaOK
 RjtDvAGNqtGooISWEQEEXhg0uvIZAYLmOJ8mhho+BkQbDQNJg53Uowqq4Lb3ms48JSCQ
 lvvL72bhqhCNXW84UEcaXfgno+LB/Iwit05pYI7tvYsr+Pteb2H6oW2DcvCdcBazINV0
 RKWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=jZfhxHsejUUcZPF7YJbkRSwpZqy0jNBSrsMujaf27t8=;
 b=aAvLHdpXqMB1wIrQPy5VXPp4XaMg8mc4W50HCxviMWwAO9fC2dgJTuVweZrde7NQ1X
 RztE9Q7rrKHZzXUz3+TTnW+bbOIIMmRHL1guSOmkK/66ZDu2X2hOb2nLcLHnXYCnkWkB
 hKwlXrWU7CjB/Nn1J/GfLZHauL4+GdzzV76/XpAR4hD1Di5i3rWXic5mIu9qQ2s38A19
 uWm7mjlQ+F0mE6cC1acDTIuUY4UauNKV00v/WpCPbCv4hQKpiT4GafY3Bv8wrmKSSxKE
 flyQ4ANaPn1k1p6QVQnGQHtLLUyiuEdVt126z0vBBhHQRpvV/iIeoJIJTrhuAVwzD2k6
 QGqg==
X-Gm-Message-State: AGi0PuYgcAcWimdSONAmeCfuH19Jao0lTeBJeLtbw6pDVoRb5o3JcHVP
 eJYGREDI4LbuXTpsRXe0kXX7/Zot
X-Google-Smtp-Source: APiQypLGJrAMANiA8rnzWGWj31bUNIAunlqTdi7YBXdT6mA2JytRl6yRhwcRoUV2eJAmc0IM0aKjbA==
X-Received: by 2002:a05:6214:150f:: with SMTP id
 e15mr2219061qvy.18.1587124147891; 
 Fri, 17 Apr 2020 04:49:07 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 x16sm4935578qkh.14.2020.04.17.04.49.06
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 17 Apr 2020 04:49:07 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search
 bound (wrong side of point)
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <87bloci0yw.fsf@HIDDEN> <87v9m132pj.fsf@HIDDEN>
 <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN>
Date: Fri, 17 Apr 2020 07:49:06 -0400
In-Reply-To: <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN> (Jacob
 Lagares Pozo's message of "Fri, 17 Apr 2020 13:39:45 +0200")
Message-ID: <87ftd22uz1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
Cc: 40323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jacob Lagares Pozo <jlagarespo@HIDDEN> writes:

> For brevity, I'll just post just a single one of them, because the
> whole buffer is 172k characters and growing. I hope it's enough; if it
> is not, please let me know and I'll post the whole thing.

Please compress before posting.  If you can find a spot where the
comint-last-output-start goes from a large number to 1, I think that
would probably be where the interesting part is.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 17 Apr 2020 11:45:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 07:45:48 2020
Received: from localhost ([127.0.0.1]:40108 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPPRL-00081K-Mu
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2020 07:45:48 -0400
Received: from mail-ej1-f50.google.com ([209.85.218.50]:37262)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlagarespo@HIDDEN>) id 1jPPPb-0007xz-Q5
 for 40323 <at> debbugs.gnu.org; Fri, 17 Apr 2020 07:44:00 -0400
Received: by mail-ej1-f50.google.com with SMTP id re23so1350044ejb.4
 for <40323 <at> debbugs.gnu.org>; Fri, 17 Apr 2020 04:43:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=iebesalu-cat.20150623.gappssmtp.com; s=20150623;
 h=subject:from:to:references:message-id:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=doxn0lJJm6CQIIphh2M/tjOR60j/UiXMyuWNSjjosSo=;
 b=WFhqH7eGbIOLwrZC6CHWOlvdnt6qcuC1+qDZWWunwh17FWeL9WlEZFlxTpqteHXokz
 YeAa5pfgVxybkjxoKoZmzkve3V0zYRTt4CtMchXcKT98Eo4o5B+/6VyuaBY8wWGsvN4d
 vuZi4obsjW2onQ5wzj1HdvjSiVF5+3oEXzHgjoEuaswCkrwiksCyuwcolVleVNS9NwtQ
 uLUJ0EFGRRTn7sIsQH5ibFfBbEx0RY1H8AFsIjBLl3EmlXLlOqUi1S3DzZSH0CGdEyDv
 Go5ubs72/6Q4bY45cBaWN0aeQuTa3WTX2v9t9zTKMkCwStcJrCnoDK38g/yAnwrXE4Qp
 wP/g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:from:to:references:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=doxn0lJJm6CQIIphh2M/tjOR60j/UiXMyuWNSjjosSo=;
 b=LYOrgpezSx7ilSl7t0mBcM2T5yvZZ9EE233hZh/2gH1q02Lz6EOG4FBL8hP4VTsYwv
 vyoM/ffuvVgBwVcbXWleCE7z/HRBIlaLSNGEcAmI2XRMMgOQVT3WK9Ksl7YkSGv7htki
 NBlhJxJOuqzxIRZ01XwLqVf+uKgE8KDFvCqadTggWmSp1c1q3wHJd4LKP2aE0qTqHsRx
 6O6yYv3Tp0gk7836THQRgKN7NPok11JS4Lw3jiR4Ucdfc8xX93E4aXwE1jyITlt9+LDp
 IJIFgntBTALsL0o59/Soy/hYJjVpt7rvxlWH2KMDf66kfnBfwc+hKb7k9930rE+DwUC8
 seUg==
X-Gm-Message-State: AGi0PuYtTl9ClXPuwxzcBxWwE/wL3e3Jyo0hk8rmhheXIfTY+VHsvf8Z
 olFN/E+jMFBesHJZ5aAk47kO4nRZCMA=
X-Google-Smtp-Source: APiQypIx9kA5je8WS9plL2s44vdlbM28zHFoIuppDN2h2caAx/H0MgNruVnn1SQh1SJ7NvnVkRM0FA==
X-Received: by 2002:a17:906:d14b:: with SMTP id
 br11mr2615684ejb.213.1587123833730; 
 Fri, 17 Apr 2020 04:43:53 -0700 (PDT)
Received: from [192.168.100.54] ([185.154.8.143])
 by smtp.gmail.com with ESMTPSA id bs8sm3460411ejb.92.2020.04.17.04.43.52
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 17 Apr 2020 04:43:53 -0700 (PDT)
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound
 (wrong side of point)
From: Jacob Lagares Pozo <jlagarespo@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>, 40323 <at> debbugs.gnu.org
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <87bloci0yw.fsf@HIDDEN> <87v9m132pj.fsf@HIDDEN>
 <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN>
Message-ID: <ca7807ff-6e63-d8fb-fcb1-597a0b8decb7@HIDDEN>
Date: Fri, 17 Apr 2020 13:43:52 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.7.0
MIME-Version: 1.0
In-Reply-To: <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
X-Mailman-Approved-At: Fri, 17 Apr 2020 07:45:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Also, I should mention that I tried reinstalling Emacs and a few 
packages, just in case something was corrupted. Doesn't seem like the 
case, it seems like a legitimate bug.

On 2020-04-17 13:39, Jacob Lagares Pozo wrote:
> Hello Noam,
>
> I'm sorry for the late response.
>
> It looks like your patch does indeed work and logs a bunch of stuff to 
> the *trace-output* buffer every time a program running on the async 
> buffer outputs something.
>
> For brevity, I'll just post just a single one of them, because the 
> whole buffer is 172k characters and growing. I hope it's enough; if it 
> is not, please let me know and I'll post the whole thing.
>
> Jacob
>
> On 2020-04-15 04:25, Noam Postavsky wrote:
>>> The patch you provided does indeed seem to fix the issue, or at least
>>> it hasn't happened for the time I tested it (I can verify various
>>> processes were running and outputting things to the async buffer).
>>>
>>> I do not have any idea as to why did those markers get swapped
>>> around. Is there any specific place that deals with them that I could
>>> check? Could this be a bug with comint mode, maybe clashing with
>>> another package?
>> Try reproducing the issue after evaluating the code below, perhaps
>> *trace-output* will have some useful clues.
>>
>>      (load-library "comint.el") ;; Can only trace set-marker from 
>> Lisp source.
>>
>>      (defun bug-40323-get-comint-output-marker ()
>>        (list :comint-pmark
>>              (and (markerp comint-last-output-start)
>>                   (eq (marker-buffer comint-last-output-start)
>>                       (current-buffer))
>>                   (process-mark (get-buffer-process 
>> (current-buffer))))))
>>
>>      (dolist (fun '(set-marker
>>                     comint-send-input
>>                     comint-output-filter
>>                     comint-adjust-window-point
>>                     comint-adjust-point
>>                     ansi-color-process-output))
>>        (trace-function fun nil #'bug-40323-get-comint-output-marker))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 17 Apr 2020 11:45:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 17 07:45:47 2020
Received: from localhost ([127.0.0.1]:40106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jPPRL-00081I-DU
	for submit <at> debbugs.gnu.org; Fri, 17 Apr 2020 07:45:47 -0400
Received: from mail-ej1-f52.google.com ([209.85.218.52]:41436)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlagarespo@HIDDEN>) id 1jPPLd-0007rw-Bp
 for 40323 <at> debbugs.gnu.org; Fri, 17 Apr 2020 07:39:54 -0400
Received: by mail-ej1-f52.google.com with SMTP id x1so1332680ejd.8
 for <40323 <at> debbugs.gnu.org>; Fri, 17 Apr 2020 04:39:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=iebesalu-cat.20150623.gappssmtp.com; s=20150623;
 h=subject:to:references:from:message-id:date:user-agent:mime-version
 :in-reply-to:content-transfer-encoding:content-language;
 bh=Q8ek9JmjRDTFcNUoVUc+zCjtosDMSZOG/jiO6PjdeOw=;
 b=OTNMN9uNdmiC/EPkRk1nMaC9sVRxkLc0BPP55DjxaWK4zqH5/q0AtxzVwodzhuXt8A
 qcX93dQARb6pvwy7eCIgCknQLYOBdlaB1GJlmn+yZsHScvpLpgCxmudmMZ7cYnl3Qbix
 GUMrcZ3Zp880kiSAJPRyZJPNqMcnXSx/Nz7xT9i5dCSvYYEZ2j4eXgtOjTY2u+k/iPkZ
 NZNuiFocAL/V8ivNKptBC75g2yK+UR92OyX7iSZa1rHr9uOIiz2Uy/hR//hB0HSU493c
 S+laUhUjK+a0kxpCZNtTZCOqRRZ33kJEcKuHERgmYFP5qGlyLN5bTBxIupskF+TDJhao
 cprQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=Q8ek9JmjRDTFcNUoVUc+zCjtosDMSZOG/jiO6PjdeOw=;
 b=AcJz8iZLlWfV44ox9H1bWNzm5WKWaGkue7YL9bHTRLjaj93mKUhSOR9P28QKRc37W5
 HojujYZ0VXiiI2eNkrhSD2F/fQ42JovTAP12I57EhuPcpN9g88JWe2rCxNIImJNt2r1w
 jkL8tGKlHqHx1wvzrZ7nfZ2sBwvB+I1b6mtURDHc3Lf2Ke6y1skrwKsLuzseZV3BBfef
 2bjI3ffwqGzMpQ3amryQN6eDf9RzvXwa3PMkMvnRfvmGrxwjEwzI61AlbhEWwRFtDMNR
 0c7ihre66JivGLKdbP8fnX+Dgx8rxkt6/6YfYKEVE7g8awBQoRAQogjH+NheqXcEBi68
 O6JQ==
X-Gm-Message-State: AGi0PubFuQC/RO4DJGfGFKnUkViLE0KJmTnDFCKMyRJJQx/fouwnrvDj
 NkZc4k8zUg+XJmumxI7LO4B2jOfNe50=
X-Google-Smtp-Source: APiQypK/fvLEgpW8M0edRT49OBpxmPoTs3N4gxklxx16GByRSNbtYqLcfwslmfigufhuATZa0spQEA==
X-Received: by 2002:a17:906:412:: with SMTP id
 d18mr2407445eja.54.1587123587085; 
 Fri, 17 Apr 2020 04:39:47 -0700 (PDT)
Received: from [192.168.100.54] ([185.154.8.143])
 by smtp.gmail.com with ESMTPSA id s9sm458751edy.33.2020.04.17.04.39.46
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 17 Apr 2020 04:39:46 -0700 (PDT)
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound
 (wrong side of point)
To: Noam Postavsky <npostavs@HIDDEN>, 40323 <at> debbugs.gnu.org
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <87bloci0yw.fsf@HIDDEN> <87v9m132pj.fsf@HIDDEN>
From: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Message-ID: <9861d97d-9e7e-5ac8-bd71-f52caad92024@HIDDEN>
Date: Fri, 17 Apr 2020 13:39:45 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.7.0
MIME-Version: 1.0
In-Reply-To: <87v9m132pj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
X-Mailman-Approved-At: Fri, 17 Apr 2020 07:45:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Noam,

I'm sorry for the late response.

It looks like your patch does indeed work and logs a bunch of stuff to 
the *trace-output* buffer every time a program running on the async 
buffer outputs something.

For brevity, I'll just post just a single one of them, because the whole 
buffer is 172k characters and growing. I hope it's enough; if it is not, 
please let me know and I'll post the whole thing.

Jacob

On 2020-04-15 04:25, Noam Postavsky wrote:
>> The patch you provided does indeed seem to fix the issue, or at least
>> it hasn't happened for the time I tested it (I can verify various
>> processes were running and outputting things to the async buffer).
>>
>> I do not have any idea as to why did those markers get swapped
>> around. Is there any specific place that deals with them that I could
>> check? Could this be a bug with comint mode, maybe clashing with
>> another package?
> Try reproducing the issue after evaluating the code below, perhaps
> *trace-output* will have some useful clues.
>
>      (load-library "comint.el") ;; Can only trace set-marker from Lisp source.
>
>      (defun bug-40323-get-comint-output-marker ()
>        (list :comint-pmark
>              (and (markerp comint-last-output-start)
>                   (eq (marker-buffer comint-last-output-start)
>                       (current-buffer))
>                   (process-mark (get-buffer-process (current-buffer))))))
>
>      (dolist (fun '(set-marker
>                     comint-send-input
>                     comint-output-filter
>                     comint-adjust-window-point
>                     comint-adjust-point
>                     ansi-color-process-output))
>        (trace-function fun nil #'bug-40323-get-comint-output-marker))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 15 Apr 2020 02:25:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 14 22:25:20 2020
Received: from localhost ([127.0.0.1]:35058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jOXjs-0002gZ-L8
	for submit <at> debbugs.gnu.org; Tue, 14 Apr 2020 22:25:20 -0400
Received: from mail-qt1-f180.google.com ([209.85.160.180]:44686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jOXjr-0002gI-AD
 for 40323 <at> debbugs.gnu.org; Tue, 14 Apr 2020 22:25:19 -0400
Received: by mail-qt1-f180.google.com with SMTP id w24so12056355qts.11
 for <40323 <at> debbugs.gnu.org>; Tue, 14 Apr 2020 19:25:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=2FERPDDhGFROZ6C6AwT6d+nz823qdN/uhQPjLx+oIj8=;
 b=c1PummcFQoo1qDdQNbmVpS7jKGfMq41PmL63K31ZiWgRPRodOVup3F+4yvxuBAE9J2
 PAxlHTsCg0gVv7m1g3Yi9Qg43vmNDL6YJ+8P8QVQKCSWIyDHosimKme5oxKrlV1p3oeW
 KQ1WHSO7+coOr8C4Z5f/gAQdxjik0GIJztCy2oOcvn2UNgQPZAdBfdJut/Y/WbTBaZ2U
 sWuBVkql8Wzil8YJ9IY8lKzQk8J/GxcwpkJduAF3X1ULEA1fB/+JyRe/brPinINa2aLO
 zxy7mWeN0Du6JOP4+hApTwdDUHn4dpOdL3VfCnKjQbd3Fvn9nukxwjUQXKZh/Cu5wVpc
 NwjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=2FERPDDhGFROZ6C6AwT6d+nz823qdN/uhQPjLx+oIj8=;
 b=WDF4BHpn3vTkO8H8IN7wVuBeEBzlolrCL8EX0gKS4NIlbCKlEKFqK+q8rCeNSIUSZn
 xpkag/ye52s8/NSkWqLPdBPymJjPelVxUbYqjlcpz8Kt1I+HukesWkCtbk1TE2ccIv1p
 tO/0BoStulegY+k9WnxZAgSkdfGCaLk1MSFRM9Fssn+pFLHr5uvE6jWtqKzHbFHK+iKx
 D5ETG+IPEdx2YeTvV6xPYALDHFCC6P7FaOouiWXFWMQ5OA/EhlSuMu5gPK+xkO2cOjt4
 LCjFKlOKB3QsIhJDxxexvVTJEuyHuK7GhXWvhl13L47xPHY4pKWnvD9mWfxGbYUCFRdr
 qecA==
X-Gm-Message-State: AGi0Puac78FqWxZCFPgnl/YiFNHyvzOgsdsJulhE17C7h5Iv4xMaj8Q1
 BoRxIQCHTa+8zI2PWe77IrdqCTrz
X-Google-Smtp-Source: APiQypLtzZHPA+96EAtf57ftq1pfY1SLiJmdqqnW/WoobsdekzOCKPsK3h0THSipD0f58O0g3AUWBA==
X-Received: by 2002:ac8:4253:: with SMTP id r19mr13484763qtm.116.1586917513732; 
 Tue, 14 Apr 2020 19:25:13 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 v76sm12225019qka.32.2020.04.14.19.25.12
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 14 Apr 2020 19:25:12 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: 40323 <at> debbugs.gnu.org
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search
 bound (wrong side of point)
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <87bloci0yw.fsf@HIDDEN>
Date: Tue, 14 Apr 2020 22:25:12 -0400
In-Reply-To: <87bloci0yw.fsf@HIDDEN> (Noam Postavsky's message of "Tue, 31
 Mar 2020 19:00:39 -0400")
Message-ID: <87v9m132pj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
Cc: Jacob Lagares Pozo <jlagarespo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> The patch you provided does indeed seem to fix the issue, or at least
> it hasn't happened for the time I tested it (I can verify various
> processes were running and outputting things to the async buffer).
>
> I do not have any idea as to why did those markers get swapped
> around. Is there any specific place that deals with them that I could
> check? Could this be a bug with comint mode, maybe clashing with
> another package?

Try reproducing the issue after evaluating the code below, perhaps
*trace-output* will have some useful clues.

    (load-library "comint.el") ;; Can only trace set-marker from Lisp source.

    (defun bug-40323-get-comint-output-marker ()
      (list :comint-pmark
            (and (markerp comint-last-output-start)
                 (eq (marker-buffer comint-last-output-start)
                     (current-buffer))
                 (process-mark (get-buffer-process (current-buffer))))))

    (dolist (fun '(set-marker
                   comint-send-input
                   comint-output-filter
                   comint-adjust-window-point
                   comint-adjust-point
                   ansi-color-process-output))
      (trace-function fun nil #'bug-40323-get-comint-output-marker))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 31 Mar 2020 23:00:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 19:00:48 2020
Received: from localhost ([127.0.0.1]:37216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJPsG-0002wE-2z
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 19:00:48 -0400
Received: from mail-qt1-f171.google.com ([209.85.160.171]:39661)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jJPsD-0002oZ-Rq
 for 40323 <at> debbugs.gnu.org; Tue, 31 Mar 2020 19:00:46 -0400
Received: by mail-qt1-f171.google.com with SMTP id f20so20047071qtq.6
 for <40323 <at> debbugs.gnu.org>; Tue, 31 Mar 2020 16:00:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version;
 bh=85L+w8Q5yYfmAMo/RROdWh7488XGLNDaKG3ovCoRdjM=;
 b=XcBox70x2u9eqHyKfBceU+dwGnlQ/7pVqGFkikidsUNBgqXh3go9gHZXWcRJn1Wlot
 J+eaMlNxfVeFu+gUE+2MrQd9K2Yzn6uOxSCOkOnXlwj5ZOPeneRGU2Ivr6Xf2O810pSE
 fNQL+yU+GesNOCPe6SfWEk1COp1BmI+6zaO9d2WETLE/raYbgbu2szn7hSIH/aXjuQV3
 z0J3rlQs+sEYagmPfTFvhKRNw+R9littUI+iI8AQ7FAIj8jdiw3xEqQqlfM34eNivO6r
 c90n/rAX7sRP+T3QcXisQwZdZigrCyl7HVm0+T19aYjEZwVyVaChzlZQAXAcap8SCTuD
 JaXw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version;
 bh=85L+w8Q5yYfmAMo/RROdWh7488XGLNDaKG3ovCoRdjM=;
 b=KatpOAKA3d4g+koDmkDAByGtoxJunP9payhZRtY0RgcvIAirL3cD8cbsTjMzUpjyF1
 wchyaSac8nvZC2SW5Gdu8JYGLfj0McACne5DwD2lUZkgQ9dcXm8sj1/MOCDE+CvqtJBD
 xNrpDL/UfSuAlje++FJePMqmLoLVaJS93BJfkBZrfpxgK5PHuVJi/WDxjdXb+1IDiyOm
 Fo1TYyD8+Sh4rVcOGth1s1tk3UA6sXfcfHJ0uH3Lp5sSkXCO9RHOdwFVj7pST3ZyiFmw
 UGRbU1e321JqJEUo1aDcmprAzTCJZQ2kQLY2+KJv/PssdZ1bj4ZKx/yGbg5Q76q/foXk
 wfzA==
X-Gm-Message-State: ANhLgQ2u/H1Gs7J8fUx+FK+DfMeXFQu1GW+BSSVGMOjQyftmJg/1ETCO
 JKinX0RYSByLAfeBCY+0uMiMLRvt
X-Google-Smtp-Source: ADFU+vvR69K3y2hxPoniDUpnhvgL8azeARHXVIheV+UoDcZfBG96IS86ywjDofgYFn9zBFHlsjJneQ==
X-Received: by 2002:aed:200f:: with SMTP id 15mr7434931qta.152.1585695640271; 
 Tue, 31 Mar 2020 16:00:40 -0700 (PDT)
Received: from minid (cbl-45-2-119-47.yyz.frontiernetworks.ca. [45.2.119.47])
 by smtp.gmail.com with ESMTPSA id
 z18sm254502qtz.77.2020.03.31.16.00.39
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Tue, 31 Mar 2020 16:00:39 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: 40323 <at> debbugs.gnu.org
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search
 bound (wrong side of point)
Date: Tue, 31 Mar 2020 19:00:39 -0400
Message-ID: <87bloci0yw.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
Cc: Jacob Lagares Pozo <jlagarespo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

[forwarding to list, please use "Reply All" to keep 40323 <at> debbugs.gnu.org on Cc]


--=-=-=
Content-Type: message/rfc822
Content-Disposition: inline

Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search bound (wrong side of point)
To: Noam Postavsky <npostavs@HIDDEN>
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN> <85mu7xoq0g.fsf@HIDDEN>
From: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Message-ID: <c4dd89be-186b-803b-2219-c3c42d2748a2@HIDDEN>
Date: Tue, 31 Mar 2020 12:16:25 +0200
In-Reply-To: <85mu7xoq0g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative; boundary="====-=-="

--====-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Disposition: inline

Hello Noam (and everyone else),

Thanks for your quick response.

The patch you provided does indeed seem to fix the issue, or at least it 
hasn't happened for the time I tested it (I can verify various processes 
were running and outputting things to the async buffer).

I do not have any idea as to why did those markers get swapped around. 
Is there any specific place that deals with them that I could check? 
Could this be a bug with comint mode, maybe clashing with another package?

This is my list of installed packages, directly from package-list-packages:

|  atom-dark-theme    20181022.1602 installed             An Emacs port 
of the Atom Dark theme from Atom.io.
   atom-one-dark-theme 20190705.554  installed             Atom One Dark 
color theme
   avy                20200311.1106 installed             Jump to 
arbitrary positions in visible text and select text quickly.
   cmake-ide          20190731.1009 installed             Calls CMake to 
find out include paths and other compiler flags
   cmake-mode         20190710.1319 installed major-mode for editing 
CMake sources
   company-quickhelp  20180525.1003 installed             Popup 
documentation for completion candidates
   company-rtags      20191222.920  installed             RTags back-end 
for company
   dockerfile-mode    20200106.2126 installed             Major mode for 
editing Docker's Dockerfiles
   elpy               20200326.2207 installed             Emacs Python 
Development Environment
   exwm               0.23          installed             Emacs X Window 
Manager
   glsl-mode          20191017.2148 installed             major mode for 
Open GLSL shader files
   gruvbox-theme      20200307.1522 installed             A retro-groove 
colour theme for Emacs
   helm               20200325.757  installed             Helm is an 
Emacs incremental and narrowing framework
   key-chord          20160227.1238 installed             map pairs of 
simultaneously pressed keys to commands
   powerline          20200105.2053 installed             Rewrite of 
Powerline
   smartparens        20200324.2147 installed             Automatic 
insertion, wrapping and paredit-like navigation with user defined pairs.
   sudo-edit          20180731.1908 installed             Open files as 
another user
   swiper             20200319.1334 installed             Isearch with 
an overview. Oh, man!
   zerodark-theme     20190528.923  installed             A dark, medium 
contrast theme for Emacs
|

If needed I can post (potentially) relevant fragments of my 
configuration files.

Kind regards,

Jacob

--====-=-=--

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 30 Mar 2020 15:50:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 11:50:09 2020
Received: from localhost ([127.0.0.1]:34916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIwfw-0001cg-Og
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 11:50:09 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:56768)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1jIwft-0001c3-WF
 for 40323 <at> debbugs.gnu.org; Mon, 30 Mar 2020 11:50:07 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 02UFmdV2098604;
 Mon, 30 Mar 2020 15:50:00 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2020-01-29;
 bh=RfE30x0GBzqzaSLGw/LCxUmb9yAtSJhz3JClps2nl6w=;
 b=XiExZIcP4BQy1qaQLcvfrp9kihyaT4oDVQrtjv6SWVH5wtLyaoDpU5pRbLXsYBAUXygc
 bxkW0gNZzsQnPLNHAOFgubW+JJV3rEnyUYaZm2EbSz906EViQ+5JrYeGvZoEGrPcfYVM
 u1am3vW3e8fI1+B9VVkIT44kjeebdfO+Gcl4MuH6Tt1DG3FPp85dOLGTYs3zQDjWpuNK
 yyx/GCcQ4oG5291rWpIlE5h05Yfuo4eKb1tzxi6/kGYslzfiyXytOHXGrSA6MYOk98JR
 R21LXiHOO6TYrv7Q07ZlRPHL8ly8Cmc2dMer7tT1ZNTMnodCGUNiyy35y6/iArZ9Ww6y aw== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2120.oracle.com with ESMTP id 303aqhb161-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 30 Mar 2020 15:49:59 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 02UFklRJ119127;
 Mon, 30 Mar 2020 15:49:59 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userp3030.oracle.com with ESMTP id 302g2c3y5t-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 30 Mar 2020 15:49:59 +0000
Received: from abhmp0020.oracle.com (abhmp0020.oracle.com [141.146.116.26])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id 02UFntng032573;
 Mon, 30 Mar 2020 15:49:58 GMT
MIME-Version: 1.0
Message-ID: <69272262-8509-42ae-84c8-1d79b92b1272@default>
Date: Mon, 30 Mar 2020 08:49:54 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>, Jacob Lagares Pozo
 <jlagarespo@HIDDEN>
Subject: RE: bug#40323: 28.0.50; error in process filter: Invalid search bound
 (wrong side of point)
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <85mu7xoq0g.fsf@HIDDEN>
In-Reply-To: <85mu7xoq0g.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4966.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9576
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=999
 spamscore=0 mlxscore=0
 adultscore=0 phishscore=0 bulkscore=0 suspectscore=0 malwarescore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2003300145
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9576
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 phishscore=0 clxscore=1011
 malwarescore=0 impostorscore=0 mlxlogscore=999 spamscore=0 mlxscore=0
 priorityscore=1501 lowpriorityscore=0 adultscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2003020000
 definitions=main-2003300145
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 40323
Cc: 40323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> +      (let ((s start-marker))
> +        (setq start-marker end-marker
> +              end-marker s)))

A perhaps less clear but common cliche for that:

(setq start-marker (prog1 end-marker (setq end-marker start-marker)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 30 Mar 2020 15:25:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 11:25:09 2020
Received: from localhost ([127.0.0.1]:34900 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIwHl-0005HO-5I
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 11:25:09 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:54557)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1jIwHj-0005HA-4i
 for 40323 <at> debbugs.gnu.org; Mon, 30 Mar 2020 11:25:07 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 48rbqj60Hhz1rqBQ;
 Mon, 30 Mar 2020 17:25:05 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 48rbqj2yCMz1qqkK;
 Mon, 30 Mar 2020 17:25:05 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id w5kcA7r_LuEx; Mon, 30 Mar 2020 17:25:04 +0200 (CEST)
X-Auth-Info: tgtXTEzWuNLowUOSqsBrs1HDHEEGP49uxtEDC5nWH/zWg/fbVwheutq+JWJyKWPX
Received: from igel.home (ppp-46-244-176-206.dynamic.mnet-online.de
 [46.244.176.206])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Mon, 30 Mar 2020 17:25:04 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 9CDE02C0C6F; Mon, 30 Mar 2020 17:25:03 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
Subject: Re: bug#40323: 28.0.50; error in process filter: Invalid search
 bound (wrong side of point)
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
 <85mu7xoq0g.fsf@HIDDEN>
X-Yow: Catsup and Mustard all over the place!  It's the Human Hamburger!
Date: Mon, 30 Mar 2020 17:25:03 +0200
In-Reply-To: <85mu7xoq0g.fsf@HIDDEN> (Noam Postavsky's message of "Mon, 30
 Mar 2020 10:50:55 -0400")
Message-ID: <87imillvao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 40323
Cc: 40323 <at> debbugs.gnu.org, Jacob Lagares Pozo <jlagarespo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

On Mär 30 2020, Noam Postavsky wrote:

> Jacob Lagares Pozo <jlagarespo@HIDDEN> writes:
>
>> Debugger entered--Lisp error: (error "Invalid search bound (wrong side of point)")
>>   re-search-forward("\33\\[[0-?]*[ -/]*[@-~]" #<marker at 1 in *Async Shell Command*> t)
>>   ansi-color-apply-on-region(#<marker at 152 in *Async Shell Command*> #<marker at 1 in *Async Shell Command*>)
>>   ansi-color-process-output("[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] Clien...")
>>   run-hook-with-args(ansi-color-process-output "[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] Clien...")
>>   comint-output-filter(#<process Shell> "[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] Clien...")
>
> It looks like the start and end markers are the wrong way around.  Does
> the patch below help?  If yes, the next question would be how they got
> that way.  Perhaps that indicates a problem in comint.el?

Or another filter has moved the process mark.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at 40323 <at> debbugs.gnu.org:


Received: (at 40323) by debbugs.gnu.org; 30 Mar 2020 14:51:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 10:51:08 2020
Received: from localhost ([127.0.0.1]:34889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIvkq-0004Hc-7n
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 10:51:08 -0400
Received: from mail-qt1-f179.google.com ([209.85.160.179]:36278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1jIvko-0004H6-OJ
 for 40323 <at> debbugs.gnu.org; Mon, 30 Mar 2020 10:51:07 -0400
Received: by mail-qt1-f179.google.com with SMTP id m33so15248842qtb.3
 for <40323 <at> debbugs.gnu.org>; Mon, 30 Mar 2020 07:51:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=P8DhwockpaEW6WjjCdko1/JyxS/VyibPn4bzj8GyCoM=;
 b=ImD0d+4yRXwPDBWdAYoolIa3bc+VgOzzvbvx2UD+O1vHdeVewmAkwHS5oWOtRvCBZI
 CbAADZKCUONZVn8H0LfmfYuUVOFVyv55na7cG44QvQVKG9cn8/N+/6FRNwnpHAKE7xaY
 tmv9zQUWp4lIPQfQ/Vv6FHOqnzbf8rp/SdVRABIqgNvtilY1UDIr/n/jeIedvTLJIiJu
 yh3B62hYBXzhRLdBk04m9W3uCAdui/K8/dFazsDsrb5ZjfDnPFys6p89y7B2r6sNorqt
 veao2szTvmJd3B9DCS2ifQF8potuFmbRgrdN4DANVxDELi0buoQB9mk1zIfahenLxK5x
 4JnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=P8DhwockpaEW6WjjCdko1/JyxS/VyibPn4bzj8GyCoM=;
 b=sNFwkwf4S6BpwjYcOT0GWOVKyfCQ3zfGD/XGxFTH2NF0iEY7JvwZ5OCrUwO5vE75R9
 CTbtxkdasljsyaKd1I+UCqlcjXMFtY7gQ8fPsbhwTL01nhDUkrgujZQg6K/UKsAu4sEk
 4hFTsvbqmDm3V1R7m9M8go9b2mV2w8wvU12vC+uGl4QSSdtsYuTlltb2dfjxfzzvNEXN
 KphZzN8B7T8PbNuWGLbEUmLBX/Lv7j2Rq8WV0W8M1e38PKLwn34BeX49RR1X1zRx8z3r
 7ng4aDy14++NormJ5FXlrd/QCpoeO47/weEpdzJnRIPsZcwarz4RfE3buOJOjQcR+Rn0
 U/Ow==
X-Gm-Message-State: ANhLgQ1hcYS9fOZoy9y6On/SFfxP+IRvhNbByCTo7AbmKJx0uVZGyHfy
 TdSPOWAClDPPgssxsD68DL0IURwZJaI=
X-Google-Smtp-Source: ADFU+vsLh7H5VR6gApM1nUSfpQb4S370JqVvkpjot2BMwgK+A3FoEXlAMspofmfi8hLYQu7l+8UtQQ==
X-Received: by 2002:ac8:6a11:: with SMTP id t17mr293168qtr.195.1585579858016; 
 Mon, 30 Mar 2020 07:50:58 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.38.42])
 by smtp.gmail.com with ESMTPSA id s56sm11821909qtk.9.2020.03.30.07.50.57
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 30 Mar 2020 07:50:57 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Subject: Re: bug#40323: 28.0.50;
 error in process filter: Invalid search bound (wrong side of point)
References: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
Date: Mon, 30 Mar 2020 10:50:55 -0400
In-Reply-To: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN> (Jacob
 Lagares Pozo's message of "Mon, 30 Mar 2020 13:04:50 +0200")
Message-ID: <85mu7xoq0g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 40323
Cc: 40323 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jacob Lagares Pozo <jlagarespo@HIDDEN> writes:

> Debugger entered--Lisp error: (error "Invalid search bound (wrong side of point)")
>   re-search-forward("\33\\[[0-?]*[ -/]*[@-~]" #<marker at 1 in *Async Shell Command*> t)
>   ansi-color-apply-on-region(#<marker at 152 in *Async Shell Command*> #<marker at 1 in *Async Shell Command*>)
>   ansi-color-process-output("[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] Clien...")
>   run-hook-with-args(ansi-color-process-output "[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] Clien...")
>   comint-output-filter(#<process Shell> "[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] Clien...")

It looks like the start and end markers are the wrong way around.  Does
the patch below help?  If yes, the next question would be how they got
that way.  Perhaps that indicates a problem in comint.el?

--- i/lisp/ansi-color.el
+++ w/lisp/ansi-color.el
@@ -222,6 +222,10 @@ ansi-color-process-output
 			  comint-last-output-start
 			(point-min-marker)))
 	(end-marker (process-mark (get-buffer-process (current-buffer)))))
+    (when (> start-marker end-marker)
+      (let ((s start-marker))
+        (setq start-marker end-marker
+              end-marker s)))
     (cond ((eq ansi-color-for-comint-mode nil))
 	  ((eq ansi-color-for-comint-mode 'filter)
 	   (ansi-color-filter-region start-marker end-marker))





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Mar 2020 11:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 30 07:10:48 2020
Received: from localhost ([127.0.0.1]:32797 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIsJb-00047a-Td
	for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 07:10:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:46184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jlagarespo@HIDDEN>) id 1jIsE0-0003yf-VV
 for submit <at> debbugs.gnu.org; Mon, 30 Mar 2020 07:05:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54731)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jlagarespo@HIDDEN>) id 1jIsDy-0003kj-Tp
 for bug-gnu-emacs@HIDDEN; Mon, 30 Mar 2020 07:05:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jlagarespo@HIDDEN>) id 1jIsDw-0007rH-UP
 for bug-gnu-emacs@HIDDEN; Mon, 30 Mar 2020 07:04:58 -0400
Received: from mail-wr1-x434.google.com ([2a00:1450:4864:20::434]:37723)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jlagarespo@HIDDEN>)
 id 1jIsDw-0007qA-Hv
 for bug-gnu-emacs@HIDDEN; Mon, 30 Mar 2020 07:04:56 -0400
Received: by mail-wr1-x434.google.com with SMTP id w10so21125088wrm.4
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Mar 2020 04:04:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=iebesalu-cat.20150623.gappssmtp.com; s=20150623;
 h=to:subject:from:message-id:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=e6JvyRUCt/Jte4Un4WsJpsnQSQF3QKE6Wq2FuH1fWCI=;
 b=Dt0eUAtg8SC+y+DXgQMNI9A6qvWMWKkDsxODoObEx4ny/NYtrY3RfNO3Bqu8kDAncW
 KyLWWJQ8tq0sBPo+1Tb1ZdCE9Vqi3koK7FXExVKTfM1EXgsx6XJEFb155ZYt9TKfVvmk
 v61bvgFok1hJ1CMourZSxbmSLv+wFujLhKHt0XRQoMiy4BI0hTm2MYPyHxKDDEpYxqqP
 XasWUokC33azQ0s0ld2BPNPXR/idh8inLjyseVzibwV3OeFcyDUSBuMwhKNi3yny1T/i
 hqPNCqp2CkN8clM4TgnCUmZOTJ0jEeOUNxNmRE4hSxCZ54fnVn/YzeznB8E3n4H8jihq
 D4tQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:subject:from:message-id:date:user-agent
 :mime-version:content-transfer-encoding:content-language;
 bh=e6JvyRUCt/Jte4Un4WsJpsnQSQF3QKE6Wq2FuH1fWCI=;
 b=QtX3JlaWLoptRXP8xRMWu98ZIAlR5tw59LSd4wd7gkS/EXOazYYRxZf3EfXG0euQ3z
 ZxuPJIfPC8hTL6p9llr2pGz3RdyKzRnxE96nurDC8BFh5R/i4qMoMoBVVjJL4yQ5tqk7
 SVZ5BqfdjirxfkjwlYajIHSkKajmFYzCpu42JhCymmcxMZEtRm6YQIcTOq2HWKC1I5Nf
 rOA1y1qZl0GdSPamVorcQa97OMzICKu39cpH/SsRfcw0sFH3qOjDgnAlILlky7IY4AVX
 wU8NRR/nLKZJTohNNRAqjM0Jlt34IpuLU4bsOTMRn91Yf1EPDVtLsIE/O6q+H/6/BDP/
 snaQ==
X-Gm-Message-State: ANhLgQ1OvTxDk6NOqIFzy7pniKgwWL/vvqa8OG5J4yHqs9JbdC29hn2Z
 D+R1I4oaoh3qvCCU2OoY3R492mFzN3I=
X-Google-Smtp-Source: ADFU+vstq1DFx1s8x6VxI09WjGjCTy/oLStmxiQBVoZGhN0upTshlRBWSXGuzjSnbCg60Gkf/LnwZQ==
X-Received: by 2002:a5d:550a:: with SMTP id b10mr14309120wrv.163.1585566294190; 
 Mon, 30 Mar 2020 04:04:54 -0700 (PDT)
Received: from [192.168.100.47] ([185.154.9.234])
 by smtp.gmail.com with ESMTPSA id o9sm21921821wrx.48.2020.03.30.04.04.53
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 30 Mar 2020 04:04:53 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; error in process filter: Invalid search bound (wrong side of
 point)
From: Jacob Lagares Pozo <jlagarespo@HIDDEN>
Message-ID: <35ec6e03-5df2-3b35-9076-3421d7a3f2c9@HIDDEN>
Date: Mon, 30 Mar 2020 13:04:50 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.5.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::434
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 30 Mar 2020 07:10:46 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)



I am currently using EXMW as my main window manager, and I have been
having some problems with ansi-color-apply-on-region.

I originally posted an issue to the EXWM github repository
(https://github.com/ch11ng/exwm/issues/729), where I got pointed to
submit a bug report here (because that is probably an Emacs bug, and not
an EXWM one).

My *Messages* buffer gets spammed all over with the two following error 
messages,
which freeze Emacs for a few seconds each time.

error in process filter: ansi-color-apply-on-region: Invalid search 
bound (wrong side of point)
error in process filter: Invalid search bound (wrong side of point)

This makes it really difficult to type commands or really do
anything. It happens when I open an EXWM window. I think when the
window outputs text (which goes to the *Async Shell Command* buffer) and
Emacs tries to colorize it, it fails for (possibly) a bug in
ansi-color-apply-on-region. Here is the backtrace if I enable
debug-on-error:

Debugger entered--Lisp error: (error "Invalid search bound (wrong side 
of point)")
re-search-forward("\33\\[[0-?]*[ -/]*[@-~]" #<marker at 1 in *Async 
Shell Command*> t)
ansi-color-apply-on-region(#<marker at 152 in *Async Shell Command*> 
#<marker at 1 in *Async Shell Command*>)
ansi-color-process-output("[03/29/20, 16:21:53:387] info: [FOCUS-EVENT] 
Clien...")
run-hook-with-args(ansi-color-process-output "[03/29/20, 16:21:53:387] 
info: [FOCUS-EVENT] Clien...")
comint-output-filter(#<process Shell> "[03/29/20, 16:21:53:387] info: 
[FOCUS-EVENT] Clien...")

I don't know if I can provide much more information than this, mainly
because my elisp-fu is not really something you can consider to be
"great". If there is anything else I could provide that could
potentially help solved the problem, please let me know about it.

Many thanks,
Jacob


In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 
3.24.14, cairo version 1.16.0)
of 2020-03-28 built on neocomputery
Repository revision: dceba13ce57ed0cb726e89566197f77359a38d91
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12007000
System Description: Debian GNU/Linux bullseye/sid

Recent messages:
error in process filter: Invalid search bound (wrong side of point)
error in process filter: ansi-color-apply-on-region: Invalid search 
bound (wrong side of point)
error in process filter: Invalid search bound (wrong side of point)
error in process filter: ansi-color-apply-on-region: Invalid search 
bound (wrong side of point)
error in process filter: Invalid search bound (wrong side of point)
error in process filter: ansi-color-apply-on-region: Invalid search 
bound (wrong side of point)
error in process filter: Invalid search bound (wrong side of point)
error in process filter: ansi-color-apply-on-region: Invalid search 
bound (wrong side of point)
error in process filter: Invalid search bound (wrong side of point)
user-error: End of history; no default available

Configured using:
'configure --prefix=/usr/local'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER LCMS2
GMP

Important settings:
value of $LC_ALL: POSIX
value of $LANG: en_US.UTF-8
locale-coding-system: nil

Major mode: EXWM

Minor modes in effect:
global-linum-mode: t
linum-mode: t
global-hl-line-mode: t
display-time-mode: t
delete-selection-mode: t
helm--remap-mouse-mode: t
smartparens-global-mode: t
smartparens-mode: t
pyvenv-mode: t
company-quickhelp-mode: t
company-quickhelp-local-mode: t
global-company-mode: t
company-mode: t
shell-dirtrack-mode: t
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
buffer-read-only: t
transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny rfc822 mml mml-sec epa
epg epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils helm-command
helm-elisp helm-eval edebug backtrace find-func helm-info helm-mode
helm-files helm-tags helm-locate winner dired dired-loaddefs
helm-buffers helm-occur helm-grep helm-regexp helm-utils helm-help
helm-types disp-table init appareance linum hl-line atom-one-dark-theme
keybinds key-chord welcome misc time utility swiper ivy delsel colir
ivy-overlay helm derived helm-source eieio-compat helm-multi-match
helm-lib async dockerfile-mode sh-script smie executable smartparens
powerline powerline-separators color powerline-themes align glsl-mode
easy-mmode python-elpy cl-extra yasnippet highlight-indentation
flymake-proc flymake warnings help-fns radix-tree help-mode elpy advice
elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc esh-io esh-arg
esh-module esh-groups esh-util elpy-shell elpy-profile elpy-django
elpy-refactor python tramp-sh grep cus-edit cus-start cus-load wid-edit
cpp-ide company-oddmuse company-keywords company-etags etags fileloop
generator xref project company-gtags company-dabbrev-code
company-dabbrev company-files company-capf company-cmake company-xcode
company-clang company-semantic company-eclim company-template
company-bbdb company-quickhelp pos-tip company pcase rtags popup repeat
compile tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat shell pcomplete comint ansi-color ring parse-time iso8601
time-date ls-lisp format-spec asm-mode cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs bookmark
text-property-search pp cmake-ide dash s levenshtein find-file
cmake-mode thingatpt rx code-style edmacro exwm-config ido exwm
exwm-input xcb-keysyms xcb-xkb exwm-manage exwm-floating xcb-cursor
xcb-render exwm-layout exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb
xcb-xproto xcb-types xcb-debug kmacro server finder-inf info package
easymenu browse-url url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 485189 55779)
(symbols 48 38590 1)
(strings 32 137640 4402)
(string-bytes 1 4451964)
(vectors 16 63773)
(vector-slots 8 948631 40542)
(floats 8 296 541)
(intervals 56 1884 1420)
(buffers 1000 21))





Acknowledgement sent to Jacob Lagares Pozo <jlagarespo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#40323; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Apr 2020 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.